# Get UGN resource list - ListUGN

## Overview

Get all UGN resources under the current project






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListUGN`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **Limit** | int | Page size, default is 20 |No|
| **Offset** | int | Offset, default 0 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **UGNs** | array[[*UGN*](#ugn)] |  |**Yes**|
| **TotalCount** | int |  |No|
| **Offset** | int |  |No|
| **Limit** | int |  |No|

#### Data Model


#### UGN

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **UGNID** | string | UGN Resource ID |**Yes**|
| **Name** | string | UGN Name |**Yes**|
| **Remark** | string | UGN Notes |**Yes**|
| **CreateTime** | int | Creation Time of Cloud Network |**Yes**|
| **NetworkCount** | int | Associated Network Instance Quantity |**Yes**|
| **BwPackageCount** | int | Number of Bound Bandwidth Packages |**Yes**|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=GetUGNLists
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=Uwdjwjay
&PageSize=8
&Page=6
&UGNID=WwZYkmsO
&ProjectId=WjWMQqHg
```

### Response Example
    
```json
{
  "Action": "ListUGNResponse",
  "Instances": [
    {
      "CreateTime": 5,
      "Instances": [
        "NMwjIrsh"
      ],
      "InterRegionBandwidths": [
        "fVZVRYGy"
      ],
      "Name": "jVivsVdF",
      "Remark": "aNvxOLBM",
      "RouteRules": [
        "KlTczjrb"
      ],
      "Tag": "vebDnrWg",
      "UGNId": "SdLBDxvC"
    }
  ],
  "Message": "PQjUPsBS",
  "Page": 3,
  "PageSize": 5,
  "RetCode": 0,
  "TotalCount": 4
}
```





